/**
 * admin.js
 *
 * Contain all handlers for admin page.
 */
 
( function( $ ) {
	$( document ).ready( function() {
		$( '.theme[aria-describedby*="befold"]' ).append( '<div class="theme-update">' + be_admin_vars.upgrade_available + '</div>' );

		$( '.theme' ).click( function() {
			var themeName = $( '.theme-info .theme-name' ).text();

			if ( themeName.indexOf( 'BeFold' ) >= 0 ) {
				$( '.theme-overlay .theme-author' ).after( '<div class="theme-update-message"><h4 class="theme-update">' + be_admin_vars.upgrade_available + '</h4><p><strong>' + be_admin_vars.upgrade_info + '</strong></p></div>' );
			}
		} );

		$( '.plugin-title strong' ).each( function() {
			if ( $( this ).text() == 'BeFold' ) {
				$( this ).parent().append( '<p>' + be_admin_vars.upgrade_info + '</p>' );
			}
		} );
		
	} );
} )( jQuery );